From: | Andrew Dunstan <andrew(at)dunslane(dot)net> |
---|---|
To: | Postgresql Hackers <pgsql-hackers(at)postgresql(dot)org> |
Subject: | initdb |
Date: | 2003-10-01 20:03:44 |
Message-ID: | 3F7B3320.8010009@dunslane.net |
Views: | Raw Message | Whole Thread | Download mbox | Resend email |
Thread: | |
Lists: | pgsql-hackers pgsql-patches |
The following code is in initdb.sh:
exit_nicely(){
stty echo > /dev/null 2>&1
echo 1>&2
echo "$CMDNAME: failed" 1>&2
if [ "$noclean" != yes ]; then
if [ "$made_new_pgdata" = yes ]; then
echo "$CMDNAME: removing data directory \"$PGDATA\"" 1>&2
rm -rf "$PGDATA" || echo "$CMDNAME: failed" 1>&2
fi
else
echo "$CMDNAME: data directory \"$PGDATA\" not removed at user's
request" 1>&2
fi
exit 1
}
So if the data directory previously existed and was empty, we don't
clean it out on error, even if we didn't use the noclean flag. Is this
intended behaviour or a bug? (If a bug it's trivially easy to fix.)
cheers
andrew
From | Date | Subject | |
---|---|---|---|
Next Message | scott.marlowe | 2003-10-01 20:29:43 | Re: Lost mails |
Previous Message | Joshua D. Drake | 2003-10-01 20:02:47 | Re: Thoughts on maintaining 7.3 |
From | Date | Subject | |
---|---|---|---|
Next Message | Peter Eisentraut | 2003-10-01 20:54:32 | Re: initdb |
Previous Message | David Walter | 2003-10-01 13:23:10 | pg_dump --table=* dumps nothing? |